Package org.eclipse.ecf.remoteservice

## Interface IRemoteServiceCallPolicy

    public interface IRemoteServiceCallPolicy

Interface providing the ability to add authorization on a remote service method call.

Since:
  6.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `checkRemoteCall​(ID fromID, IRemoteServiceRegistration registration, IRemoteCall remoteCall)` The following method is to be called before the remote service method call to check if the remote service method call is authorized.

### Method Detail

#### checkRemoteCall

    void checkRemoteCall​(ID fromID,
                         IRemoteServiceRegistration registration,
                         IRemoteCall remoteCall)
                  throws SecurityException

The following method is to be called before the remote service method call to check if the remote service method call is authorized. Providers supporting this API should call any available implementing instance prior to actually invoking the given IRemoteCall.

Parameters:
  `fromID` - container ID of the remote caller. May be `null`.
  `registration` - Remote service registration associated with the given remoteCall. Will not be `null`.
  `remoteCall` - Remote method call to invoke locally (assuming this check passes). Will not be `null`.
Throws:
  `SecurityException` - if remoteCall is not authorized for the given caller fromID